# _BlobInfo Struct Reference

## Data Fields

size_t | length
size_t | extent
size_t | quantum
MagickBooleanType | mapped
MagickBooleanType | eof
MagickOffsetType | offset
MagickSizeType | size
MagickBooleanType | exempt
MagickBooleanType | status
MagickBooleanType | temporary
StreamType | type
FILE * | file
StreamHandler | stream
unsigned char * | data
MagickBooleanType | debug
SemaphoreInfo * | semaphore
long | reference_count
unsigned long | signature

## Field Documentation

size_t _BlobInfo::length

size_t _BlobInfo::extent

size_t _BlobInfo::quantum

MagickBooleanType _BlobInfo::mapped

MagickBooleanType _BlobInfo::eof

MagickOffsetType _BlobInfo::offset

MagickSizeType _BlobInfo::size

MagickBooleanType _BlobInfo::exempt

MagickBooleanType _BlobInfo::status

MagickBooleanType _BlobInfo::temporary

StreamType _BlobInfo::type

FILE* _BlobInfo::file

StreamHandler _BlobInfo::stream

unsigned char* _BlobInfo::data

MagickBooleanType _BlobInfo::debug

SemaphoreInfo* _BlobInfo::semaphore

long _BlobInfo::reference_count

unsigned long _BlobInfo::signature

The documentation for this struct was generated from the following file:

- blob.c